/*
 * Medical Image Registration ToolKit (MIRTK)
 *
 * Copyright 2013-2016 Imperial College London
 * Copyright 2013-2016 Andreas Schuh
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef MIRTK_IOConfig_H
#define MIRTK_IOConfig_H


/// Whether MIRTK IO module was built with MetaImage support
#define MIRTK_IO_WITH_META 1

/// Whether MIRTK IO module was built with NIfTI support
#define MIRTK_IO_WITH_NIFTI 1
#define MIRTK_IO_WITH_NIfTI MIRTK_IO_WITH_NIFTI

/// Whether MIRTK IO module was built with GIFTI support
#define MIRTK_IO_WITH_GIFTI 1

/// Whether MIRTK IO module was built with PNG support
#define MIRTK_IO_WITH_PNG 1

/// Whether MIRTK IO module was built with VTK support
#define MIRTK_IO_WITH_VTK 1

/// Whether MIRTK IO module was built with ZLIB support
#define MIRTK_IO_WITH_ZLIB 1


namespace mirtk {


/// Initialize MIRTK IO library
void InitializeIOLibrary();


} // namespace mirtk


#endif // MIRTK_IOConfig_H
