/*
 * Medical Image Registration ToolKit (MIRTK)
 *
 * Copyright 2013-2015 Imperial College London
 * Copyright 2013-2015 Andreas Schuh
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef MIRTK_Image_H
#define MIRTK_Image_H


// Image type
#include "mirtk/Voxel.h"
#include "mirtk/VoxelCast.h"
#include "mirtk/BaseImage.h"
#include "mirtk/GenericImage.h"

// Image iterators
#include "mirtk/ImageRegion.h"
#include "mirtk/ConstImageIterator.h"
#include "mirtk/ConstGenericImageIterator.h"
#include "mirtk/ImageIterator.h"
#include "mirtk/GenericImageIterator.h"

// Image interpolators
#include "mirtk/InterpolateImageFunction.h"
#include "mirtk/ExtrapolateImageFunction.h"

// TODO: Add missing header files


#endif // MIRTK_Image_H
