/*
 * Medical Image Registration ToolKit (MIRTK)
 *
 * Copyright 2013-2015 Imperial College London
 * Copyright 2013-2015 Andreas Schuh
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef MIRTK_Numerics_H
#define MIRTK_Numerics_H

// Scalar functions
#include "mirtk/ScalarFunction.h"
#include "mirtk/ScalarGaussian.h"

// Vectors and matrices
#include "mirtk/Vector.h"
#include "mirtk/Vector3.h"
#include "mirtk/Vector3D.h"
#include "mirtk/Vector4D.h"
#include "mirtk/Matrix.h"
#include "mirtk/Matrix3x3.h"
#include "mirtk/SparseMatrix.h"

// Points and point sets
#include "mirtk/Point.h"
#include "mirtk/PointSet.h"
#include "mirtk/PointSamples.h"

// Regression models
#include "mirtk/Polynomial.h"


#endif // MIRTK_Numerics_H
